/*****************************************************************************/
/* Project:     Fractals                                                        
/* Author:      Eugene Sirota                                                   
/* Created:     2008                                                            
/*****************************************************************************/

using System;
using System.Collections.Generic;

namespace Fractals.Core
{
    public class ObjectContainer
    {
        private readonly Dictionary<Type, object> objects = new Dictionary<Type, object>();
        private readonly Dictionary<string, object> namedObjects = new Dictionary<string, object>();

        public void Add(string name, object obj)
        {
            namedObjects.Add(name, obj);
        }

        public void Add(object obj)
        {
           objects.Add(obj.GetType(), obj);
        }

        public T Get<T>()
        {
            return (T)objects.GetValueOrDefault(typeof(T));
        }

        public T Get<T>(string name)
        {
            return (T)namedObjects.GetValueOrDefault(name);
        }
    }
}
