/*****************************************************************************/
/* Project:     Fractals                                                        
/* Author:      Eugene Sirota                                                   
/* Created:     2008                                                            
/*****************************************************************************/

using System.Drawing;

namespace Fractals.Drawing
{
	public static class GraphicsExtensions
	{
		public delegate void DrawDelegate(Graphics g);

		public static void DoubleBufferedDraw(this Graphics g, int imageWidth, int imageHeight, DrawDelegate drawFunc)
		{
			if (imageWidth < 1 || imageHeight < 1)
				return;

			using (var bitmap = new Bitmap(imageWidth, imageHeight))
			{
				var bitmapGraphics = Graphics.FromImage(bitmap);
				drawFunc(bitmapGraphics);
				g.DrawImageUnscaled(bitmap, 0, 0);
			}			
		}
	}
}
