/*****************************************************************************/
/* Project:     Fractals                                                        
/* Author:      Eugene Sirota                                                   
/* Created:     2008                                                            
/*****************************************************************************/

using System;
using System.Collections.Generic;
using Fractals.Geometry;

namespace Fractals.Drawing
{
    public class ObjectDrawerMap
    {
        private readonly Dictionary<PositionedObject, AbstractDrawer> map = new Dictionary<PositionedObject, AbstractDrawer>();

        public Dictionary<PositionedObject, AbstractDrawer>.KeyCollection Keys
        {
            get { return map.Keys; }
        }

        public AbstractDrawer this[PositionedObject obj]
        {
            get { return map[obj]; }
        }

        public void Set(PositionedObject obj, AbstractDrawer drawer)
        {
            if (obj == null || drawer == null)
                throw new NullReferenceException();

            if (map.ContainsKey(obj))
                map[obj] = drawer;
            else
                map.Add(obj, drawer);
        }

        public void Remove(PositionedObject obj)
        {
            map.Remove(obj);
        }

        public bool Contains(PositionedObject obj)
        {
            return map.ContainsKey(obj);
        }
    }
}
