/*****************************************************************************/
/* Project:     Fractals                                                        
/* Author:      Eugene Sirota                                                   
/* Created:     2008                                                            
/*****************************************************************************/

using System.Drawing;
using Fractals.Geometry;
using System;

namespace Fractals.Drawing
{
	public class ShapeDrawer : AbstractDrawer 
	{
		public ShapeDrawer()
		{
			LinesPen = new Pen(Color.Black);
		}

		public Pen LinesPen { get; set; }

		protected override void DoDraw(Graphics g, PositionedObject obj, Viewport viewport)
		{
		    var shape = obj as Shape;
		    if (shape != null)
		        foreach (var line in shape.AbsolutePositionedLines)
		            g.DrawLine(LinesPen, line.Start, line.End);
		
	    }
	}
}
