/*****************************************************************************/
/* Project:     Fractals                                                        
/* Author:      Eugene Sirota                                                   
/* Created:     2008                                                            
/*****************************************************************************/

using System;

namespace Fractals.Geometry
{
	public class FractalFragmentCalculatedEventArgs : EventArgs
	{
		private readonly Line baseLine;
		private readonly Shape fragment;
	    private readonly int deep;

		public FractalFragmentCalculatedEventArgs(Line baseLine, Shape fragment, int deep)
		{
			this.baseLine = baseLine; 
			this.fragment = fragment;
		    this.deep = deep;
		}

		public Line BaseLine
		{
			get { return baseLine; }
		}

		public Shape Fragment
		{
			get { return fragment; }
		}		    

		public int Deep
		{
			get { return deep; }
		}
	}
}
