/*****************************************************************************/
/* Project:     Fractals                                                        
/* Author:      Eugene Sirota                                                   
/* Created:     2008                                                            
/*****************************************************************************/

using System;
using System.Drawing;

namespace Fractals.Geometry
{
	public static class PointFExtensions
	{
        public static PointF Move(this PointF point, PointF dxy)
        {
            return Move(point, dxy.X, dxy.Y);
        }

        public static PointF Move(this PointF point, float dx, float dy)
        {
            return new PointF(point.X + dx, point.Y + dy);
        }

		public static PointF Scale(this PointF point, float scale)
		{
			return new PointF(point.X * scale, point.Y * scale);			
		}

		public static PointF Rotate(this PointF point, float da)
		{
			var cosa = Math.Cos(da);
            var sina = Math.Sin(da);
            
            var x = cosa * point.X - sina * point.Y;
            var y = sina * point.X + cosa * point.Y;
            
			return new PointF((float)x, (float)y);			
		}
    }
}
