/*****************************************************************************/
/* Project:     Fractals                                                        
/* Author:      Eugene Sirota                                                   
/* Created:     2008                                                            
/*****************************************************************************/

using System.Drawing; 

namespace Fractals.Geometry
{
    public class Viewport : PositionedObject
    {
        public Viewport(SizeF size)
            : this(new PointF(0, 0), size)
        {
        }

        public Viewport(float width, float height)
            : this(new SizeF(width, height))
        {
        }

        public Viewport(PointF center, SizeF size)
            : base(center)
        {
            Size = size;
        }

        public SizeF Size { get; set; }

        public override RectangleF CircumscribedRectangle
        {
            get { return new RectangleF(new PointF(Center.X - Size.Width / 2, Center.Y - Size.Height / 2), Size); }
        }
    }
}
